For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Cloudflare
    • GETpayload example
    • POSThttps://social-media-posting-dev.deao.workers.dev/post
        • POSTRefresh Token: https://oauth2.googleapis.com/token
        • GETGet Upload Status: https://www.googleapis.com/youtube/v3/videos?part=status,processingDetails&id={video_id}
        • POST1. Initialize Upload: https://www.googleapis.com/upload/youtube/v3/videos?part=snippet,status&uploadType=resumable
        • PUT2. Upload Video: {Location}
LogoLogo
CloudflareSocial Media PostingYou Tube

  1. Upload Video: {Location}

||View as Markdown|
PUT
/upload/youtube/v3/videos
PUT
/upload/youtube/v3/videos
$curl -X PUT "https://graph.facebook.com/upload/youtube/v3/videos?part=snippet%2Cstatus&uploadType=resumable&upload_id=AGQBYWxevNusOCBRP_m1xn_UDGa3-OZ1CAAFrObtsn2FrimfpKLjfMGr50FdFKtB92DUBhQ6KGdNo8hN9-6DwfzBPnnR3KgjlhilgxF3BALL8XY" \
> -H "Content-Range: bytes 4194304-7420639/7420640" \
> -H "Content-Type: application/octet-stream"
200Social Media Posting_YouTube_2. Upload Video: {Location}_example
1{
2 "id": "iu8ywfzqKD4",
3 "etag": "bnzi3m4B0ifKKKZR7ESdJQlWcJw",
4 "kind": "youtube#video",
5 "status": {
6 "license": "youtube",
7 "embeddable": true,
8 "uploadStatus": "uploaded",
9 "privacyStatus": "public",
10 "publicStatsViewable": true
11 },
12 "snippet": {
13 "title": "tttttmi short",
14 "channelId": "UCNrymjKFtgDeRcsnmyJ3lBA",
15 "localized": {
16 "title": "tttttmi short",
17 "description": "hello world- https://musicca.st"
18 },
19 "categoryId": "22",
20 "thumbnails": {
21 "high": {
22 "url": "https://i.ytimg.com/vi/iu8ywfzqKD4/hqdefault.jpg",
23 "width": 480,
24 "height": 360
25 },
26 "medium": {
27 "url": "https://i.ytimg.com/vi/iu8ywfzqKD4/mqdefault.jpg",
28 "width": 320,
29 "height": 180
30 },
31 "default": {
32 "url": "https://i.ytimg.com/vi/iu8ywfzqKD4/default.jpg",
33 "width": 120,
34 "height": 90
35 }
36 },
37 "description": "hello world- https://musicca.st",
38 "publishedAt": "2026-03-22T19:23:34Z",
39 "channelTitle": "New ZETA",
40 "liveBroadcastContent": "none"
41 }
42}
Was this page helpful?
Previous

1. Initialize Upload: https://www.googleapis.com/upload/youtube/v3/videos?part=snippet,status&uploadType=resumable

Next

Refresh Token: https://open.tiktokapis.com/v2/oauth/token/

Built with

Headers

Content-RangestringOptional

bytes {start}-{end}-1/{x_upload_content_length}

stringOptional
Chunks of 128mb

Query parameters

partstringOptional
uploadTypestringOptional
upload_idstringOptional

Request

This endpoint expects binary data of type application/octet-stream.

Response headers

Alt-Svcstring
Warningstring
X-GUploader-UploadIDstring
X-GUploader-Response-Body-Transformationsstring

Response

OK
idstring
etagstring
kindstring
statusobject
snippetobject
  1. Initialize Upload: https://www.googleapis.com/upload/youtube/v3/videos?part=snippet,status&uploadType=resumable

Refresh Token: https://open.tiktokapis.com/v2/oauth/token/